@use 'variables' as *;

.addon-filter {
	display: flex;
	flex-flow: column nowrap;

	&__info {
		margin: 4px;
		color: $grayB;

		&--bright {
			color: $white;
		}

		&--updates {
			color: $greenA;
		}

		&--error {
			color: $redA;
		}
	}

	&__row {
		display: flex;
		flex-flow: row nowrap;
		column-gap: 8px;

		margin: 8px;

		.iwdr-Input {
			flex: 1;
		}
	}

	&__action-buttons {
		display: flex;
		flex-flow: row nowrap;
		column-gap: 8px;

		.iwdr-Button {
			min-width: 115px;
			flex: 1;
			white-space: nowrap;
		}
	}
}